{
  "name": "frontend",
  "version": "0.2.0",
  "private": true,
  "type": "module",
  "dependencies": {
    "@opencraft/providence": "^0.3.3",
    "@opencraft/providence-redux": "^0.3.4",
    "@react-oauth/google": "^0.12.1",
    "@reduxjs/toolkit": "^2.2.7",
    "@zxcvbn-ts/core": "^3.0.4",
    "@zxcvbn-ts/language-common": "^3.0.4",
    "@zxcvbn-ts/language-en": "^3.0.2",
    "axios": "^1.7.4",
    "bootstrap": "5.3.3",
    "date-fns": "^3.6.0",
    "i18next": "^23.12.7",
    "i18next-browser-languagedetector": "^8.0.0",
    "i18next-fs-backend": "^2.3.2",
    "i18next-http-backend": "^2.5.2",
    "lodash": "^4.17.21",
    "react": "^18.3.1",
    "react-bootstrap": "^2.10.7",
    "react-canvas-confetti": "^2.0.7",
    "react-date-range": "^2.0.1",
    "react-dom": "^18.3.1",
    "react-i18next": "^15.0.1",
    "react-markdown": "^9.0.1",
    "react-redux": "^9.1.2",
    "react-router-dom": "^6.26.1",
    "react-select": "^5.8.0",
    "recharts": "^2.12.7",
    "redux-dynamic-modules": "^5.2.3",
    "remark-gfm": "^4.0.0",
    "uuid": "^10.0.0",
    "vite-plugin-checker": "^0.7.2",
    "web-vitals": "^4.2.3"
  },
  "proxy": "http://localhost:8000",
  "scripts": {
    "start": "vite --host",
    "build": "vite build",
    "test": "TZ=UTC vitest run",
    "test:dev": "TZ=UTC vitest",
    "check": "vite check",
    "format": "prettier --write 'src/**/*.{js,jsx,ts,tsx,json,css,scss,md}'",
    "check-format": "prettier --list-different 'src/**/*.{js,jsx,ts,tsx,json,css,scss,md}'",
    "sync-i18n": "i18next-locales-sync -c locales.sync.config.js"
  },
  "coverageReporters": [
    "text"
  ],
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "src/**/*.{js,jsx,ts,tsx,json,css,scss,md}": [
      "prettier --write"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "@testing-library/dom": "^10.4.0",
    "@testing-library/jest-dom": "^6.4.8",
    "@testing-library/react": "^16.0.0",
    "@testing-library/user-event": "^14.5.2",
    "@types/i18next-fs-backend": "^1.1.5",
    "@types/lodash": "^4.17.7",
    "@types/node": "^22.3.0",
    "@types/react": "^18.3.3",
    "@types/react-date-range": "^1.4.9",
    "@types/react-dom": "^18.3.0",
    "@types/uuid": "^10.0.0",
    "@vitejs/plugin-react": "^4.3.4",
    "axios-mock-adapter": "^2.0.0",
    "browserslist": "*",
    "husky": "^9.1.4",
    "i18next-locales-sync": "^2.1.0",
    "jsdom": "^24.1.1",
    "lint-staged": "^15.2.9",
    "prettier": "^3.3.3",
    "resize-observer-polyfill": "^1.5.1",
    "sass": "^1.83.1",
    "typescript": "^5.7.2",
    "vite": "^6.0.7",
    "vite-plugin-svgr": "^4.3.0",
    "vitest": "^2.1.8"
  }
}
